Bug 999145 - [abrt] audacity-2.0.3-1.fc19: Effects | Equalization crash: Add: Process /usr/bin/audacity was killed by signal 11 (SIGSEGV)
[abrt] audacity-2.0.3-1.fc19: Effects | Equalization crash: Add: Process /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Manuel F Martinez
Fedora Extras Quality Assurance
abrt_hash:1016fb9fc0785cd290ce06e04f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 15:45 EDT by Jan Stodola
Modified: 2013-10-14 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: audacity-2.0.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-28 21:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (181.54 KB, text/plain)
2013-08-20 15:45 EDT, Jan Stodola
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-20 15:45 EDT, Jan Stodola
no flags Details
File: core_backtrace (21.74 KB, text/plain)
2013-08-20 15:45 EDT, Jan Stodola
no flags Details
File: dso_list (9.63 KB, text/plain)
2013-08-20 15:45 EDT, Jan Stodola
no flags Details
File: environ (1.64 KB, text/plain)
2013-08-20 15:45 EDT, Jan Stodola
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-20 15:45 EDT, Jan Stodola
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-20 15:45 EDT, Jan Stodola
no flags Details
File: maps (51.20 KB, text/plain)
2013-08-20 15:45 EDT, Jan Stodola
no flags Details
File: open_fds (332 bytes, text/plain)
2013-08-20 15:46 EDT, Jan Stodola
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-08-20 15:46 EDT, Jan Stodola
no flags Details
File: var_log_messages (375 bytes, text/plain)
2013-08-20 15:46 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-08-20 15:45:28 EDT
Description of problem:
1. start audacity
2. open a flac file, select "Make a copy of the files..."
3. run Effect -> Equalization...
4. crash

Version-Release number of selected component:
audacity-2.0.3-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/audacity
crash_function: Add
executable:     /usr/bin/audacity
kernel:         3.10.6-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Add at /usr/include/wx-2.8/wx/sizer.h:940
 #2 EqualizationDialog::MakeEqualizationDialog at effects/Equalization.cpp:1214
 #3 EqualizationDialog::EqualizationDialog at effects/Equalization.cpp:949
 #4 EffectEqualization::PromptUser at effects/Equalization.cpp:279
 #5 Effect::DoEffect at effects/Effect.cpp:134
 #6 AudacityProject::OnEffect at Menus.cpp:3134
 #8 CommandManager::HandleCommandEntry at commands/CommandManager.cpp:1008
 #9 AudacityProject::OnMenu at Project.cpp:1755
 #10 wxEvtHandler::ProcessEventIfMatches at src/common/event.cpp:1239
 #11 wxEventHashTable::HandleEvent at src/common/event.cpp:906
Comment 1 Jan Stodola 2013-08-20 15:45:34 EDT
Created attachment 788615 [details]
File: backtrace
Comment 2 Jan Stodola 2013-08-20 15:45:37 EDT
Created attachment 788616 [details]
File: cgroup
Comment 3 Jan Stodola 2013-08-20 15:45:40 EDT
Created attachment 788617 [details]
File: core_backtrace
Comment 4 Jan Stodola 2013-08-20 15:45:43 EDT
Created attachment 788618 [details]
File: dso_list
Comment 5 Jan Stodola 2013-08-20 15:45:47 EDT
Created attachment 788619 [details]
File: environ
Comment 6 Jan Stodola 2013-08-20 15:45:50 EDT
Created attachment 788620 [details]
File: exploitable
Comment 7 Jan Stodola 2013-08-20 15:45:53 EDT
Created attachment 788621 [details]
File: limits
Comment 8 Jan Stodola 2013-08-20 15:45:57 EDT
Created attachment 788622 [details]
File: maps
Comment 9 Jan Stodola 2013-08-20 15:46:00 EDT
Created attachment 788623 [details]
File: open_fds
Comment 10 Jan Stodola 2013-08-20 15:46:03 EDT
Created attachment 788624 [details]
File: proc_pid_status
Comment 11 Jan Stodola 2013-08-20 15:46:06 EDT
Created attachment 788625 [details]
File: var_log_messages
Comment 12 David Timms 2013-09-15 03:15:32 EDT
*** Bug 987837 has been marked as a duplicate of this bug. ***
Comment 13 Giulio A. 2013-09-15 13:12:09 EDT
Package Audacity 2.0.4 for fedora 19 tested from here ( http://kojipkgs.fedoraproject.org//work/tasks/6437/5936437/audacity-2.0.4-1.fc19.x86_64.rpm ) continues to have the same issue.
Comment 14 David Timms 2013-09-18 10:23:35 EDT
Can you check if 2.0.4 for fc18 (built from exactly the same spec/sources) works ok ?

http://kojipkgs.fedoraproject.org/packages/audacity/2.0.4/1.fc18/x86_64/
Comment 15 Giulio A. 2013-09-18 10:30:56 EDT
Yes. As all audacity versions for fedora 18, also http://kojipkgs.fedoraproject.org/packages/audacity/2.0.4/1.fc18/x86_64/ works perfectly, and equalizer effect is correctly shown.
Comment 16 Fedora Update System 2013-09-22 17:19:21 EDT
audacity-2.0.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/audacity-2.0.4-2.fc20
Comment 17 Fedora Update System 2013-09-22 17:19:56 EDT
audacity-2.0.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/audacity-2.0.4-2.fc19
Comment 18 Fedora Update System 2013-09-22 17:20:31 EDT
audacity-2.0.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/audacity-2.0.4-2.fc18
Comment 19 Giulio A. 2013-09-23 03:15:54 EDT
In my F19 environment, this 2.0.4-2 update solves the issue.

Updating the karma in bodhi.

Thank you.
Comment 20 Fedora Update System 2013-09-23 20:26:58 EDT
Package audacity-2.0.4-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audacity-2.0.4-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17453/audacity-2.0.4-2.fc20
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2013-09-28 21:26:15 EDT
audacity-2.0.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-10-14 03:09:27 EDT
audacity-2.0.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-10-14 13:15:39 EDT
audacity-2.0.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.